- Qt 6.7
- Qt Sensors
- C++ Classes
- QAmbientLightReading
- Qt 6.7.0 Reference Documentation

# QAmbientLightReading Class

The QAmbientLightReading class represents one reading from the ambient light sensor. More...

Header: | #include <QAmbientLightReading>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorReading

- List of all members, including inherited members

## Public Types

enum | LightLevel { Undefined, Dark, Twilight, Light, Bright, Sunny }

## Properties

- lightLevel : const LightLevel

## Public Functions

QAmbientLightReading::LightLevel | lightLevel() const
void | setLightLevel(QAmbientLightReading::LightLevel lightLevel)

## Detailed Description

#### QAmbientLightReading Units

The ambient light sensor returns the intensity of the ambient light using the pre-defined values found in the QAmbientLightReading::LightLevel enum.

## Member Type Documentation

### enum QAmbientLightReading::LightLevel

This enum represents the ambient light level.

Constant | Value | Description
--- | --- | ---
`QAmbientLightReading::Undefined` | `0` | The light level is unknown.
`QAmbientLightReading::Dark` | `1` | It is dark.
`QAmbientLightReading::Twilight` | `2` | It is moderately dark.
`QAmbientLightReading::Light` | `3` | It is light (eg. internal lights).
`QAmbientLightReading::Bright` | `4` | It is bright (eg. shade).
`QAmbientLightReading::Sunny` | `5` | It is very bright (eg. direct sunlight).

## Property Documentation

### `[read-only]` lightLevel : const LightLevel

This property holds the ambient light level.

The value represents the ambient light and comes from QAmbientLightReading::LightLevel.

Access functions:

QAmbientLightReading::LightLevel | lightLevel() const

See also QAmbientLightReading Units.

## Member Function Documentation

### void QAmbientLightReading::setLightLevel(QAmbientLightReading::LightLevel lightLevel)

Sets the ambient light level to lightLevel.

See also lightLevel().